import java.util.*;
import java.awt.*;
import java.applet.Applet;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
 
class H13Ex1b
{
     public static void main (String args[]) throws IOException
     {
	    double xi[]=new double[500];
	    double yi[]=new double[500];
	    String s1;
	    String s2;
        String dosyaismi=JOptionPane.showInputDialog("Dosya ismini giriniz (in.txt) : ");
        int i=-1;
        try{
	       BufferedReader fin=new BufferedReader(new FileReader(dosyaismi));        	    
           try{
	          while(fin != null)
              {
              i++;        
              s1=fin.readLine(); //bir satır String oku
              if(s1==null) break;//satır boşsa çık
              StringTokenizer token=new StringTokenizer(s1);
              //stringi kelimelere ayırır
              s2=token.nextToken();//birinci kelime
              xi[i]=Double.valueOf(s2.trim()).doubleValue();
              s2=token.nextToken();//ikinci kelime
              yi[i]=Double.valueOf(s2.trim()).doubleValue();
              }
              } catch(EOFException e_eof) {System.err.println("dosyada veri bitti"); }
           }catch(IOException e_io) {System.err.println("dosya bulunamadı"); } 
        int n=i;//veriyi okuduk kaç tane olduğunu biliyoruz
        double x[]=new double[n];
        double y[]=new double[n];         
        for(int j=0;j<n;j++)
        {
	    x[j]=xi[j];
	    y[j]=yi[j];
	    System.out.println(x[j]+"    "+y[j]);
	    }    
     Plot pp=new Plot(x,y);
     pp.plot();
     }
}
